package ibase.android.visionselfie;

import android.graphics.drawable.Drawable;

public interface IMainActivity {

    void setCameraFrontFacing();

    void setCameraBackFacing();

    boolean isCameraFrontFacing();

    boolean isCameraBackFacing();

    void setFrontCameraId(String cameraId);

    void setBackCameraId(String cameraId);

    String getFrontCameraId();

    String getBackCameraId();

    void hideStatusBar();

    void showStatusBar();

    void hideStillShotWidgets();

    void showStillShotWidgets();

    void toggleViewStickersFragment();

    void addSticker(Drawable sticker);
}
